#pragma once

#include "CoreMinimal.h"
#include "OnGameEventActionInterface.h"
#include "CompetenceAction.h"
#include "K41AddHeadModeFastTravelChargesCompetenceAction.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew)
class THEK41_API UK41AddHeadModeFastTravelChargesCompetenceAction : public UCompetenceAction, public IOnGameEventActionInterface
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _fastTravelChargesAmountIncrease;

public:
	UK41AddHeadModeFastTravelChargesCompetenceAction();
};

FORCEINLINE uint32 GetTypeHash(const UK41AddHeadModeFastTravelChargesCompetenceAction) { return 0; }
